%global momorel 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 44b5781bb95b3fce316650dedf94dc22

Summary: Network manager for kde
Name: kwlan
Version: 0.6.2
Release: %{momorel}m%{?dist}
License: GPL and BSD
URL: http://www.kde-apps.org/content/show.php?content=37041
Group: Applications/System
%NoSource 0 http://home.arcor.de/tom.michel/downloads/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-0.6.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: wpa_supplicant
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
Network manager for kde.
 
 Allows you to configure different network profiles using all encryptions wpa_supplicant provides (wep, wpa, wpa2 etc) for wireless networks. 
 Since version 0.4.5 kwlan can connect to unencrypted networks if wpa_supplicant is not available. 
 
 Kwlan can also store profiles for wired networks.
 
 Dialup networks can be edited and connected to as well.
 
 Systray icons show connection statistics per interface (can be disabled).

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applications/kwlan.desktop

# clean up
rm -rf %{buildroot}%{_docdir}/HTML/en/doc

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da es pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/kwlan
%{_datadir}/applications/kde/kwlan.desktop
%{_datadir}/apps/kwlan
%{_datadir}/doc/HTML/*/kwlan
%{_datadir}/icons/*/*/*/kwlan
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kwlan.mo

%changelog
* Sat Jun 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.2-1m)
- version 0.6.2

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-3m)
- update desktop.patch, GenericName=WPA Wireless Lan Manager

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-2m)
- change "Categories" of kwlan.desktop from "System" to "Network"

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-1m)
- initial package for Momonga Linux
